Bug 652778 - Review Request: kanotf-fonts - OpenType Kannada fonts
Summary: Review Request: kanotf-fonts - OpenType Kannada fonts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-12 18:28 UTC by Susmit
Modified: 2011-03-05 02:26 UTC (History)
3 users (show)

Fixed In Version: kanotf-fonts-20050515-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-01 00:35:20 UTC
Type: ---
sanjay.ankur: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Ankur Sinha (FranciscoD) 2011-02-27 07:25:08 UTC
Hi!

Looks good. One glitch though, I don't see the version being provided by upstream anywhere. In such cases it's preferred to use the time stamp.


# Do not trust font metadata versionning unless you've checked upstream does
# update versions on file changes. When in doubt use the timestamp of the most
# recent file as version. “1.0” versions especially are suspicious.

Please check this up. I'll do a complete review later today. 

Thanks,
Ankur

Comment 3 Ankur Sinha (FranciscoD) 2011-02-27 10:37:09 UTC
+ Package meets naming and packaging guidelines
+ Spec file matches base package name.
+ Spec has consistant macro usage.
+ Meets Packaging Guidelines.
+ License
+ License field in spec matches
+ License file included in package
+ Spec in American English
+ Spec is legible.
+ Sources match upstream md5sum:

- Package needs ExcludeArch
+ BuildRequires correct
- Spec handles locales/find_lang
- Package is relocatable and has a reason to be.
+ Package has %defattr and permissions on files is good.
- Package has a correct %clean section.
- Package has correct buildroot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
- Package is code or permissible content.
- Doc subpackage needed/used.
+ Packages %doc files don't affect runtime.

- Headers/static libs in -devel subpackage.
- Spec has needed ldconfig in post and postun
- .pc files in -devel subpackage/requires pkgconfig
- .so files in -devel subpackage.
- -devel package Requires: %{name} = %{version}-%{release}
- .la files are removed.

- Package is a GUI app and has a .desktop file

+ Package compiles and builds on at least one arch.
+ Package has no duplicate files in %files.
+ Package doesn't own any directories other packages own.
+ Package owns all the directories it creates.
? No rpmlint output.
+ final provides and requires are sane:
(include output of for i in *rpm; do echo $i; rpm -qp --provides $i; echo =; rpm -qp --requires $i; echo; done
manually indented after checking each line.  I also remove the rpmlib junk and anything provided by glibc.)
[ankur@ankur result]$ review-req-check 
== kanotf-fonts-20050515-1.fc16.noarch.rpm ==
Provides:
config(kanotf-fonts) = 20050515-1.fc16
font(kedage)  
font(mallige)  
kanotf-fonts = 20050515-1.fc16

Requires:
/bin/sh  
/bin/sh  
config(kanotf-fonts) = 20050515-1.fc16
fontpackages-filesystem  

== kanotf-fonts-20050515-1.fc16.src.rpm ==
Provides:

Requires:
fontpackages-devel  

SHOULD Items:

+ Should build in mock.
- Should build on all supported archs
- Should function as described.
- Should have sane scriptlets.
- Should have subpackages require base package with fully versioned depend.
+ Should have dist tag
+ Should package latest version
- check for outstanding bugs on package. (For core merge reviews)

Issues:

1. rpmlint output:

[ankur@ankur SRPMS]$ rpmlint ../SPECS/kanotf-fonts.spec kanotf-fonts-20050515-1.fc14.src.rpm /var/lib/mock/fedora-rawhide-i386/result/*.rpm
../SPECS/kanotf-fonts.spec: W: invalid-url Source0: http://sourceforge.net/projects/brahmi/files/Brahmi%20OpenType%20Fonts/OpenType%20font%20for%20Kannada%20-%20Kedgae%20and%20Mallige%20Ver%201.0/kanotf.zip <urlopen error timed out>
kanotf-fonts.noarch: W: incoherent-version-in-changelog 20050515 ['20050515-1.fc16', '20050515-1']
kanotf-fonts.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/kanotf-fonts-20050515/readme.txt
3 packages and 1 specfiles checked; 0 errors, 3 warnings.


You forgot to add the release tag in the ChangeLog :)
Please do also correct the wrong-file-end-of-line-encoding error. 

The rest looks okay. Please make these corrections and I'll approve the package

Ankur

Comment 4 Susmit 2011-02-27 15:51:59 UTC
Done.
Thanks.

Comment 5 Ankur Sinha (FranciscoD) 2011-02-27 16:16:22 UTC
All right then. XXX Approved XXX

Comment 6 Susmit 2011-02-28 04:19:12 UTC
Thank you very much Ankur.

Comment 7 Susmit 2011-02-28 04:22:36 UTC
New Package SCM Request
=======================
Package Name: kanotf-fonts
Short Description: OpenType Kannada fonts
Owners: susmit
Branches: f14
InitialCC:

Comment 8 Jason Tibbitts 2011-02-28 15:00:15 UTC
Did you really not want an f15 branch?

Comment 9 Susmit 2011-02-28 17:19:58 UTC
Oops..I forgot that rawhide is now f16.
Thanks for the correction.

Comment 10 Susmit 2011-02-28 17:20:24 UTC
New Package SCM Request
=======================
Package Name: kanotf-fonts
Short Description: OpenType Kannada fonts
Owners: susmit
Branches: f14, f15
InitialCC:

Comment 11 Susmit 2011-02-28 17:21:18 UTC
New Package SCM Request
=======================
Package Name: kanotf-fonts
Short Description: OpenType Kannada fonts
Owners: susmit
Branches: f14 f15
InitialCC:

Comment 12 Jason Tibbitts 2011-02-28 18:27:10 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2011-03-01 00:32:21 UTC
Package kanotf-fonts-20050515-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kanotf-fonts-20050515-1.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/kanotf-fonts-20050515-1.fc15
then log in and leave karma (feedback).

Comment 14 Susmit 2011-03-01 00:35:20 UTC
Thanks Jason.
Closing as NEXTRELEASE.

Comment 15 Fedora Update System 2011-03-05 02:26:09 UTC
kanotf-fonts-20050515-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.